Bug 1270705 - [RFE]: Have reads be performed on same bricks for a given file
[RFE]: Have reads be performed on same bricks for a given file
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: disperse (Show other bugs)
3.7.5
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pranith Kumar K
: Triaged
Depends On: 1261260
Blocks: 1265074
  Show dependency treegraph
 
Reported: 2015-10-12 04:26 EDT by Pranith Kumar K
Modified: 2016-05-17 08:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1261260
Environment:
Last Closed: 2016-05-17 08:34:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pranith Kumar K 2015-10-12 04:26:35 EDT
+++ This bug was initially created as a clone of Bug #1261260 +++

Description of problem:

    Add a policy in ec to performs reads from same bricks as long as they
    are good. Based on the gfid of the file/directory it determines the
    bricks to be considered for reading.
    

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Vijay Bellur on 2015-09-09 01:32:53 EDT ---

REVIEW: http://review.gluster.org/12133 (cluster/ec: Implement gfid-hash read-policy) posted (#1) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

--- Additional comment from Vijay Bellur on 2015-09-09 06:28:25 EDT ---

REVIEW: http://review.gluster.org/12133 (cluster/ec: Implement gfid-hash read-policy) posted (#2) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

--- Additional comment from Vijay Bellur on 2015-09-11 00:47:50 EDT ---

REVIEW: http://review.gluster.org/12133 (cluster/ec: Implement gfid-hash read-policy) posted (#3) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

--- Additional comment from Vijay Bellur on 2015-09-14 01:18:53 EDT ---

REVIEW: http://review.gluster.org/12133 (cluster/ec: Implement gfid-hash read-policy) posted (#4) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

--- Additional comment from Vijay Bellur on 2015-09-15 22:21:26 EDT ---

REVIEW: http://review.gluster.org/12133 (cluster/ec: Implement gfid-hash read-policy) posted (#5) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)
Comment 1 Vijay Bellur 2015-10-29 03:23:00 EDT
REVIEW: http://review.gluster.org/12456 (cluster/ec: Implement gfid-hash read-policy) posted (#1) for review on release-3.7 by Pranith Kumar Karampuri (pkarampu@redhat.com)
Comment 2 Vijay Bellur 2015-10-29 07:52:52 EDT
COMMIT: http://review.gluster.org/12456 committed in release-3.7 by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit 6bbce9b1a48d5d50a2044b4518270e952331f159
Author: Pranith Kumar K <pkarampu@redhat.com>
Date:   Tue Sep 8 16:23:36 2015 +0530

    cluster/ec: Implement gfid-hash read-policy
    
    Add a policy in ec to performs reads from same bricks as long as they
    are good. Based on the gfid of the file/directory it determines the
    bricks to be considered for reading.
    
     >Change-Id: Ic97b5c54c086a28b5e07a330a4fd448551b49376
     >BUG: 1261260
     >Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>
     >Reviewed-on: http://review.gluster.org/12133
     >Tested-by: NetBSD Build System <jenkins@build.gluster.org>
     >Tested-by: Gluster Build System <jenkins@build.gluster.com>
     >Reviewed-by: Xavier Hernandez <xhernandez@datalab.es>
    
    BUG: 1270705
    Change-Id: Ibf0d21d7210125fa7aaa12b3f98bcdf7cd89ef02
    Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>
    Reviewed-on: http://review.gluster.org/12456
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 3 Mike McCune 2016-03-28 18:22:31 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.